[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideStringOf

Create Unicode string from array of bytes

## Declaration

Source position: sysunih.inc line 68

`function WideStringOf(`
`const Value: TBytes`
`):UnicodeString;`

## Description

WideStringOf converts an array of bytes (Bytes) to a Unicode string. It considers each pair of bytes in the array as a single wide char. The array should have an even length. If the length is uneven, the last byte will be ignored.

This function performs the opposite operation of BytesOf.

To create a string where the bytes are interpreted as ansichars, use StringOf instead.

## See also

StringOf |  | Create a Unicode string from an array of bytes
WideBytesOf |  | Returns the contents of a widestring as an array of bytes
BytesOf |  | Return the bytes in a string